%define name protux
%define version 0.10.0
%define release 2mdk

Summary: Protux Free Professional Audio Tools
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Sound
URL: http://protux.sourceforge.net/
Source: http://protux.sourceforge.net/%{version}/%{name}%{version}-src.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: gtk+-devel
Requires: gtk+ 
Patch0: %{name}-helpfiles.patch.bz2

%description
Protux aims to be the most pratical and one of the most 
powerful audio tools for Linux. 

THE thing in Protux is to accelerate audio Production 
work. So, learning Protux is kind of automating your 
hands to do fast audio manipulation. For that, Protux 
uses a own engine called Jog Mouse Board (JMB), which 
is a mix of keyboard and mouse actions.

%prep
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%setup -n %{name}%{version}-src
%patch0 -p1 -b .helpfiles

%build

%make


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

mkdir -p  $RPM_BUILD_ROOT%{_bindir}
mkdir -p  $RPM_BUILD_ROOT%{_datadir}/%{name}/
mkdir -p  $RPM_BUILD_ROOT%{_docdir}/%{name}/
cp protux $RPM_BUILD_ROOT%{_bindir}
install protux.Help.text about.jpg $RPM_BUILD_ROOT%{_datadir}/%{name}/
install AUTHORS COPYRIGHT COPYING TODO README PRAF.SPEC $RPM_BUILD_ROOT%{_docdir}/%{name}/


%{find_lang} %{name}

# Menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): command="%{_bindir}/%{name}" needs="X11" \
icon="%{name}.xpm" section="Multimedia/Sound" \
title="Protux" longtitle="Protux Free Professional Audio Tools"
EOF

#icon
#install -d $RPM_BUILD_ROOT/%{_iconsdir}
#install -d $RPM_BUILD_ROOT/%{_liconsdir}
#install -d $RPM_BUILD_ROOT/%{_miconsdir}
#bzcat %{SOURCE1} > $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.xpm
#bzcat %{SOURCE2} > $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.xpm
#bzcat %{SOURCE3} > $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.xpm

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README ChangeLog AUTHORS TODO COPYING CREDITS
%attr(755,root,root) %{_bindir}/%{name}
%{_datadir}/%{name}/*
#%{_iconsdir}/%{name}.xpm
#%{_liconsdir}/%{name}.xpm
#%{_miconsdir}/%{name}.xpm

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT


%changelog
* Fri Aug 31 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.10.0-2mdk
- rebuild

* Fri Apr 27 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.10.0-1mdk
- first Mandrake release

